<?php
if(!isset($_SESSION)) {  session_start(); }
  ob_start();
  if(!isset($_SESSION["user_id"])){header("location:../logout.php");}
    $father = $_SESSION["user_id"];
if(!empty($_POST['contract_id'])){

  include "../actions/dbPDO.php";
  include "../op/wanted.php";
  include "../op/vat.php";
  $contract_id = $_POST['contract_id'];
  $end         = $_POST['end'];
  if(empty($end)){	
    echo "<div class='alert alert-danger'>
    <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
    <b>يوجد خطأ في تسجيل البيانات ... راجع  من فضلك</b>
</div>";
exit();
  }
  $vatClass = new VAT($db);
  $result = $vatClass->createVat($contract_id,$end,$father);
  if($result){
    echo "<div class='alert alert-success'>
              <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
              <b> تم إصدار فاتورة ضريبية بنجاح </b>
          </div>";
       }else{
         echo "<div class='alert alert-danger'>
                  <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
                  <b>يوجد خطأ في تسجيل البيانات ... راجع  من فضلك</b>
              </div>";
       }
}
//
if(!empty($_POST['lastVat'])){

  include "../actions/dbPDO.php";
  include "../op/wanted.php";
  include "../op/vat.php";
  $contract_id = $_POST['lastVat'];
  $end         = $_POST['end'];
  if(empty($end)){	
    echo "<div class='alert alert-danger'>
    <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
    <b>يوجد خطأ في تسجيل البيانات ... راجع  من فضلك</b>
</div>";
exit();
  }
  $vatClass = new VAT($db);
  $result = $vatClass->updateVat($contract_id,$end,$father);
  if($result){
    echo "<div class='alert alert-success'>
              <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
              <b> تم تحديث الفاتورة بنجاح </b>
          </div>";
       }else{
         echo "<div class='alert alert-danger'>
                  <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
                  <b>يوجد خطأ في تسجيل البيانات ... راجع  من فضلك</b>
              </div>";
       }
}
